Skip to main content
POST
/
api
/
v1
/
clusters
/
digitalocean
/
{cluster_id}
/
scale-workers
Scale DigitalOcean cluster workers
import requests

url = "https://platform.ankra.app/api/v1/clusters/digitalocean/{cluster_id}/scale-workers"

payload = { "worker_count": 123 }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({worker_count: 123})
};

fetch('https://platform.ankra.app/api/v1/clusters/digitalocean/{cluster_id}/scale-workers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
curl --request POST \
--url https://platform.ankra.app/api/v1/clusters/digitalocean/{cluster_id}/scale-workers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"worker_count": 123
}
'
{
  "new_count": 123,
  "previous_count": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Path Parameters

cluster_id
string<uuid>
required

Body

application/json
worker_count
integer
required

Response

Workers scaled successfully

new_count
integer
required
previous_count
integer
required